org.bdgenomics.adam.cli

# TransformArgs

#### class TransformArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TransformArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var asSingleFile: Boolean

   Definition Classes
     TransformArgs → ADAMSaveAnyArgs

8. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var coalesce: Int

11. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

13. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### var forceLoadBam: Boolean

18. #### var forceLoadFastq: Boolean

19. #### var forceLoadIFastq: Boolean

20. #### var forceLoadParquet: Boolean

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### var inputPath: String

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### var knownIndelsFile: String

26. #### var knownSnpsFile: String

27. #### var locallyRealign: Boolean

28. #### var lodThreshold: Double

29. #### var logLevel: String

    Definition Classes
      ParquetArgs

30. #### var markDuplicates: Boolean

31. #### var maxConsensusNumber: Int

32. #### var maxIndelSize: Int

33. #### var maxTargetSize: Int

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### var observationsPath: String

38. #### var outputPath: String

    Definition Classes
      TransformArgs → SaveArgs

39. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

40. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

41. #### var recalibrateBaseQualities: Boolean

42. #### var repartition: Int

43. #### var sortFastqOutput: Boolean

    Definition Classes
      TransformArgs → ADAMSaveAnyArgs

44. #### var sortReads: Boolean

45. #### var strictBQSR: Boolean

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### def toString(): String

    Definition Classes
      AnyRef → Any

48. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped